> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Details

> Fetch the details of a subscription for a specific subscription reference ID.



## OpenAPI

````yaml get /api/v2/subscriptions/{subReferenceId}
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/{subReferenceId}:
    get:
      tags:
        - Subscription
      summary: Get Subscription Details
      description: >-
        Fetch the details of a subscription for a specific subscription
        reference ID.
      operationId: getSubscriptionDetails
      parameters:
        - name: X-Client-Id
          in: header
          required: true
          schema:
            type: string
            description: Client ID provided by Cashfree.
            example: asdf14
        - name: X-Client-Secret
          in: header
          required: true
          schema:
            type: string
            description: Client Secret provided by Cashfree.
            example: qw9876
        - name: subReferenceId
          in: path
          required: true
          schema:
            type: integer
            description: >-
              The reference ID of the subscription whose details are to be
              fetched.
            example: 127056
      responses:
        '200':
          description: Successful retrieval of subscription details.
          content:
            application/json:
              examples:
                Get Subscription Details:
                  value:
                    status: OK
                    message: Subscription Details
                    subscription:
                      subscriptionId: SUB-1
                      subReferenceId: 127056
                      planId: Basic-1
                      customerName: John Doe
                      customerEmail: johndoe@gmail.com
                      customerPhone: '9999999999'
                      mode: NPCI_SBC
                      status: ACTIVE
                      firstChargeDate: null
                      addedOn: '2021-12-16 16:20:52'
                      scheduledOn: '2021-12-16 20:30:02'
                      currentCycle: 0
                      authLink: http://cfre.in/t9i2oku
                      bankAccountNumber: 5XXXXXXXXXXXXX
                      bankAccountHolder: John Doe
                      umrn: HDFCXXXXXXXXXXXXXXXX
                      splitDetails:
                        scheme:
                          - merchantVendorId: test-vendor-1
                            percentage: 10
                          - merchantVendorId: test-vendor-2
                            percentage: 10
                Get Subscription Details UPI:
                  value:
                    status: OK
                    message: Subscription Details
                    subscription:
                      subscriptionId: Test_Subs
                      subReferenceId: 67969
                      planId: Test_Plan
                      customerName: Test
                      customerEmail: success@upi
                      customerPhone: '9999999999'
                      mode: SBC_UPI
                      status: ACTIVE
                      firstChargeDate: '2022-04-09'
                      addedOn: '2022-04-07 13:55:55'
                      scheduledOn: '2022-04-09 00:10:00'
                      currentCycle: 0
                      authLink: https://cfre.in/5sw943pv
                      upiId: success@upi
                      umn: 85819b19f1e24e20bc3414e039774f84@upi
                      tpvEnabled: false
                      payerAccountDetails: {}
        '400':
          description: Bad request due to invalid subscription reference ID.
          content:
            application/json:
              examples:
                Invalid Subscription Reference ID:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: 'Subscription Does not exist for subReferenceId : 127056'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````